

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Extent</title>
<link rel="apple-touch-icon" href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png">
<link rel="shortcut icon" href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png">
<link href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@d6562a79075e061305ccfdb82f01e5e195e2d307/spark/css/spark-style.css" rel="stylesheet" />
<link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
<script src="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@7cc78ce/spark/js/jsontree.js"></script>
<style type="text/css"></style></head><body class="spa bdd-report dark">
  <div class="app">
    <div class="layout">
<div class="header navbar">
<div class="vheader">
<div class="nav-logo">
<a href="#">
<div class="logo" style="background-image: url('https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png')"></div>
</a>
</div>
<ul class="nav-left">
<li class="search-box">
<a class="search-toggle" href="#">
<i class="search-icon fa fa-search"></i>
<i class="search-icon-close fa fa-close"></i>
</a>
</li>
<li class="search-input"><input id="search-tests" class="form-control" type="text" placeholder="Search..."></li>
</ul>
<ul class="nav-right">
<li class="m-r-10">
<a href="#"><span class="badge badge-primary">Grasshopper Report</span></a>
</li>
<li class="m-r-10">
<a href="#"><span class="badge badge-primary">Sep 23, 2023 11:22:39 pm</span></a>
</li>
</ul>
</div>
</div><div class="side-nav">
<div class="side-nav-inner">
<ul class="side-nav-menu">
<li class="nav-item dropdown" onclick="toggleView('dashboard-view')">
<a id="nav-dashboard" class="dropdown-toggle" href="#">
<span class="ico"><i class="fa fa-bar-chart"></i></span>
</a>
</li>
<li class="nav-item dropdown" onclick="toggleView('test-view')">
<a id="nav-test" class="dropdown-toggle" href="#">
<span class="ico"><i class="fa fa-list"></i></span>
</a>
</li>
</ul>
</div>
</div>      <div class="vcontainer">
        <div class="main-content">
<div class="container-fluid p-4 view dashboard-view">
<div class="row">
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0">Started</p>
<h3>Sep 23, 2023 11:22:39 pm</h3>
</div></div>
</div>
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0">Ended</p>
<h3>Sep 23, 2023 11:23:12 pm</h3>
</div></div>
</div>
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0 text-pass">Features Passed</p>
<h3>2</h3>
</div></div>
</div>
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0 text-fail">Features Failed</p>
<h3>0</h3>
</div></div>
</div>
</div>
<div class="row">
<div class="col-md-4">
<div class="card">
<div class="card-header">
<h6 class="card-title">Features</h6>
</div>
<div class="card-body">
<div class="">
<canvas id='parent-analysis' width='115' height='90'></canvas>
</div>
</div>
<div class="card-footer">
<div><small data-tooltip='100%'>
<b>2</b> features passed
</small>
</div>
<div>
<small data-tooltip='0%'><b>0</b> features failed,
<b>0</b> skipped, <b data-tooltip='0%'>0</b> others
</small>
</div>
</div>
</div>
</div>
<div class="col-md-4">
<div class="card">
<div class="card-header">
<h6 class="card-title">Scenarios</h6>
</div>
<div class="card-body">
<div class="">
<canvas id='child-analysis' width='115' height='90'></canvas>
</div>
</div>
<div class="card-footer">
<div><small data-tooltip='100%'><b>5</b> scenarios passed</small></div>
<div>
<small data-tooltip='0%'><b>0</b> scenarios failed,
<b>0</b> skipped, <b data-tooltip='%'>0</b> others
</small>
</div>
</div>
</div>
</div>
<div class="col-md-4">
<div class="card">
<div class="card-header">
<h6 class="card-title">Steps</h6>
</div>
<div class="card-body">
<div class="">
<canvas id='grandchild-analysis' width='115' height='90'></canvas>
</div>
</div>
<div class="card-footer">
<div><small data-tooltip='100%'><b>19</b> steps passed</small></div>
<div>
<small data-tooltip='0%'><b>0</b> steps failed,
<b>0</b> skipped, <b data-tooltip='%'>0</b> others
</small>
</div>
</div>
</div>
</div>
</div>
<div class="row"><div class="col-md-12">
<div class="card"><div class="card-header"><p>Timeline</p></div>
<div class="card-body pt-0"><div>
<canvas id="timeline" height="120"></canvas>
</div></div>
</div>
</div></div>
<script>
var timeline = {
"My Account page feature":13.142,"Login page feature":18.409
};
</script>
<div class="row">
<div class="col-lg-6 col-md-12 sysenv-container">
<div class="card">
<div class="card-header"><p>System/Environment</p></div>
<div class="card-body pb-0 pt-0"><table class="table table-sm table-bordered">
<thead><tr class="bg-gray"><th>Name</th><th>Value</th></tr></thead>
<tbody>
<tr>
<td>AppName</td>
<td>AutomationFramework</td>
</tr>
<tr>
<td>user</td>
<td>Prashanth</td>
</tr>
<tr>
<td>build</td>
<td>1.1</td>
</tr>
<tr>
<td>os</td>
<td>Windows</td>
</tr>
</tbody>
</table></div>
</div>
</div>
</div>
</div>
<script>
var statusGroup = {
parentCount: 5,
passParent: 2,
failParent: 0,
warningParent: 0,
skipParent: 0,
childCount: 5,
passChild: 5,
failChild: 0,
warningChild: 0,
skipChild: 0,
infoChild: 0,
grandChildCount: 5,
passGrandChild: 19,
failGrandChild: 0,
warningGrandChild: 0,
skipGrandChild: 0,
infoGrandChild: 0,
eventsCount: 5,
};
</script><div class="test-wrapper row view test-view">
  <div class="test-list">
    <div class="test-list-tools">
<ul class="tools pull-left">
<li><a href="#"><span class="font-size-14">Tests</span></a></li>
</ul>
<ul class="tools text-right">
<li class="dropdown">
<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-exclamation-circle"></i></a>
<ul id="status-toggle" class="dropdown-menu dropdown-md p-v-0">
<a class="dropdown-item" status="pass" href="#"><span>Pass</span><span class="status success"></span></a>
<div class="dropdown-divider"></div>
<a status="clear" class="dropdown-item" href="#"><span>Clear</span><span class="pull-right"><i class="fa fa-close"></i></span></a>
</ul>
</li>
</ul>
</div>    <div class="test-list-wrapper scrollable">
      <ul class="test-list-item">
        <li class="test-item"  status="pass" test-id="1"
          author=""
          tag=""
          device="">
          <div class="test-detail">
            <p class="name">My Account page feature</p>
            <p class="text-sm">
              <span>11:22:40 pm</span> / <span>00:00:13:142</span>
              <span class="badge pass-bg log float-right">Pass</span>
            </p>
          </div>
          <div class="test-contents d-none">
<div class="detail-head">
<div class="p-v-10">
<div class="info">
<h5 class="test-status text-pass">My Account page feature</h5>
<span class='badge badge-success'>09.23.2023 11:22:40 pm</span>
<span class='badge badge-danger'>09.23.2023 11:22:54 pm</span>
<span class='badge badge-default'>00:00:13:142</span>
&middot; <span class='uri-anchor badge badge-default'>#test-id=1</span>
<span class='badge badge-default pointer float-right ml-1 et'><i class="fa fa-chevron-down"></i></span>
<span class='badge badge-default pointer float-right ct'><i class="fa fa-chevron-up"></i></span>
</div>
<div class="m-t-10 m-l-5"></div>
</div>
</div>
<div class="accordion mt-4">
  <div class="card">
    <div class="card-header" role="tab">
      <div class="card-title">
        <div class="node" id="2"><span class="badge log pass-bg mr-2">Pass</span>MyAccount page title</div>
      </div>
    </div>
        <div class="collapse">
          <div class="card-body">
              <div class="step pass-bg" title="stepdefinitions.MyAccountPageSteps.user_already_logged_into_application_with_below_details(io.cucumber.datatable.DataTable)">
                <span>Given user already logged into application with below details:</span>
      <div><table class='markup-table table '><tr><td>username</td><td>password</td></tr><tr><td>irig.prashanth@gmail.com</td><td>209509</td></tr></table>
      </div>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="stepdefinitions.MyAccountPageSteps.user_is_on_account_page()">
                <span>Given user is on Account page</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="stepdefinitions.LoginSteps.user_gets_title_of_the_page()">
                <span>When user gets title of the page</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="stepdefinitions.LoginSteps.the_page_title_should_be(java.lang.String)">
                <span>Then the page title should be "My account - My Shop"</span>
      <div>
      </div>
              </div>
          </div>
        </div>
  </div>
  <div class="card">
    <div class="card-header" role="tab">
      <div class="card-title">
        <div class="node" id="11"><span class="badge log pass-bg mr-2">Pass</span>MyAccount Information</div>
      </div>
    </div>
        <div class="collapse">
          <div class="card-body">
              <div class="step pass-bg" title="stepdefinitions.MyAccountPageSteps.user_already_logged_into_application_with_below_details(io.cucumber.datatable.DataTable)">
                <span>Given user already logged into application with below details:</span>
      <div><table class='markup-table table '><tr><td>username</td><td>password</td></tr><tr><td>irig.prashanth@gmail.com</td><td>209509</td></tr></table>
      </div>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="stepdefinitions.MyAccountPageSteps.user_is_on_account_page()">
                <span>Given user is on Account page</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="stepdefinitions.MyAccountPageSteps.user_gets_account_section_details(io.cucumber.datatable.DataTable)">
                <span>Then user gets account section details</span>
      <div><table class='markup-table table '><tr><td>ADD MY FIRST ADDRESS</td></tr><tr><td>ORDER HISTORY AND DETAILS</td></tr><tr><td>MY CREDIT SLIPS</td></tr><tr><td>MY ADDRESSES</td></tr><tr><td>MY PERSONAL INFORMATION</td></tr></table>
      </div>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="stepdefinitions.MyAccountPageSteps.account_details_count_should_be(java.lang.Integer)">
                <span>And account details count should be 5</span>
      <div>
      </div>
              </div>
          </div>
        </div>
  </div>
</div>
          </div>
        </li>
        <li class="test-item"  status="pass" test-id="20"
          author=""
          tag=""
          device="">
          <div class="test-detail">
            <p class="name">Login page feature</p>
            <p class="text-sm">
              <span>11:22:54 pm</span> / <span>00:00:18:409</span>
              <span class="badge pass-bg log float-right">Pass</span>
            </p>
          </div>
          <div class="test-contents d-none">
<div class="detail-head">
<div class="p-v-10">
<div class="info">
<h5 class="test-status text-pass">Login page feature</h5>
<span class='badge badge-success'>09.23.2023 11:22:54 pm</span>
<span class='badge badge-danger'>09.23.2023 11:23:12 pm</span>
<span class='badge badge-default'>00:00:18:409</span>
&middot; <span class='uri-anchor badge badge-default'>#test-id=20</span>
<span class='badge badge-default pointer float-right ml-1 et'><i class="fa fa-chevron-down"></i></span>
<span class='badge badge-default pointer float-right ct'><i class="fa fa-chevron-up"></i></span>
</div>
<div class="m-t-10 m-l-5"></div>
</div>
</div>
<div class="accordion mt-4">
  <div class="card">
    <div class="card-header" role="tab">
      <div class="card-title">
        <div class="node" id="21"><span class="badge log pass-bg mr-2">Pass</span>Login page title</div>
      </div>
    </div>
        <div class="collapse">
          <div class="card-body">
              <div class="step pass-bg" title="stepdefinitions.LoginSteps.user_is_on_login_page()">
                <span>Given user is on login page</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="stepdefinitions.LoginSteps.user_gets_title_of_the_page()">
                <span>When user gets title of the page</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="stepdefinitions.LoginSteps.the_page_title_should_be(java.lang.String)">
                <span>Then the page title should be "Login - My Shop"</span>
      <div>
      </div>
              </div>
          </div>
        </div>
  </div>
  <div class="card">
    <div class="card-header" role="tab">
      <div class="card-title">
        <div class="node" id="29"><span class="badge log pass-bg mr-2">Pass</span>Forgot password link</div>
      </div>
    </div>
        <div class="collapse">
          <div class="card-body">
              <div class="step pass-bg" title="stepdefinitions.LoginSteps.user_is_on_login_page()">
                <span>Given user is on login page</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="stepdefinitions.LoginSteps.forgot_password_link_should_be_displayed()">
                <span>Then forgot password link should be displayed</span>
      <div>
      </div>
              </div>
          </div>
        </div>
  </div>
  <div class="card">
    <div class="card-header" role="tab">
      <div class="card-title">
        <div class="node" id="36"><span class="badge log pass-bg mr-2">Pass</span>login with correct credentials</div>
      </div>
    </div>
        <div class="collapse">
          <div class="card-body">
              <div class="step pass-bg" title="stepdefinitions.LoginSteps.user_is_on_login_page()">
                <span>Given user is on login page</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="stepdefinitions.LoginSteps.user_enters_username(java.lang.String)">
                <span>When user enters username "irig.prashanth@gmail.com"</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="stepdefinitions.LoginSteps.user_enters_password(java.lang.String)">
                <span>And user enters password "209509"</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="stepdefinitions.LoginSteps.user_clicks_on_login_button()">
                <span>And user clicks on login button</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="stepdefinitions.LoginSteps.user_gets_title_of_the_page()">
                <span>Then user gets title of the page</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="stepdefinitions.LoginSteps.the_page_title_should_be(java.lang.String)">
                <span>And the page title should be "My account - My Shop"</span>
      <div>
      </div>
              </div>
          </div>
        </div>
  </div>
</div>
          </div>
        </li>
      </ul>
    </div>
  </div>
<div class="test-content scrollable">
<div class="test-content-tools">
<ul><li><a class="back-to-test" href="#"><i class="fa fa-arrow-left"></i></a></li></ul>
</div>
<div class="test-content-detail"><div class="detail-body"></div></div>
</div></div>
        </div>
      </div>
    </div>
  </div>
<script src="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@d6562a79075e061305ccfdb82f01e5e195e2d307/spark/js/spark-script.js"></script>
<script type="text/javascript"></script></body>
</html>